Page MenuHomePhabricator

AMDGPU: Check NSZ MI flag when folding omod
ClosedPublic

Authored by arsenm on Aug 8 2018, 12:58 PM.

Details

Reviewers
mareko
nhaehnle
Summary

I'm not sure the exact nsz flag combination that
is OK. I think as long as it's on either, this is OK.
For now just check it on the omod multiply.

Diff Detail

Event Timeline

arsenm created this revision.Aug 8 2018, 12:58 PM
mareko accepted this revision.Aug 11 2018, 11:02 AM

Accepted.

lib/Target/AMDGPU/SIFoldOperands.cpp
998

Is this TODO still needed?

test/CodeGen/AMDGPU/omod-nsz-flag.mir
20

Not sure, though I guess it doesn't matter, because we set nsz for whole shaders, which hopefully gets propagated to all instructions.

This revision is now accepted and ready to land.Aug 11 2018, 11:02 AM
arsenm closed this revision.Aug 12 2018, 1:44 AM
arsenm marked an inline comment as done.

r339513